Subject: Re: A new driver for Broadcom bcm5706

From: Jeff Garzik <[email-masked]>
Date: Fri, 20 May 2005 16:51:46 -0400

Note that I only consider a very few of these items, highlighted below, 
to be merge-stoppers.  The rest are minor things that can be fixed up at 
leisure.

> 8) excessive stack size in bnx2_alloc_bad_rbuf():

> 9) [additional review]  DaveM, others: is this correct for all arches?

> 13) [additional review] why is CHECKSUM_UNNECESSARY used when
> cksum==0xffff or cksum==0 ?

> 15) the following loop is just silly.  use mdelay or (preferably)
> msleep.

> 19) [additional review] need flush_scheduled_work(), if using work queues?

> 21) need to call bnx2_netif_stop() in bnx2_close()

> 27) isn't 'timer_interval == HZ' too rapid a timer?  Does it really need
> to fire every second?